#!/bin/bash
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# cronzephir.sh
#
# script relançant le service z_stats si il est arreté
#
###########################################################################

# ne pas relancer z_stats avant la première installation
[ ! -f /etc/eole/config.eol ] && exit 0

/usr/bin/enregistrement_zephir --check >/dev/null
if [ $? -eq 0 ]
then
	# le serveur est enregistré, on vérifie que le service de statistiques fonctionne
	/etc/init.d/z_stats status &> /dev/null
	if [ $? != 0 ]
	then
		. /usr/share/eole/FonctionsEoleNg
		# pas de redémarrage au milieu du reconfigure (#3133)
		CheckAllLocks
		/etc/init.d/z_stats restart
		Zephir "MSG" "Service z_stats arreté : redémarrage" "ZEPHIR"
	fi
fi
exit 0
